# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /__w/kvikio/kvikio/conda/recipes/kvikio, last modified Wed Jun  7 15:05:37 2023
# ------------------------------------------------

package:
  name: kvikio
  version: 23.06.00
source:
  git_url: ../../..
build:
  ignore_run_exports_from:
    - nvcc_linux-64
  number: '0'
  script:
    - cd python
    - python -m pip install . -vv
  script_env:
    - AWS_ACCESS_KEY_ID
    - AWS_SECRET_ACCESS_KEY
    - AWS_SESSION_TOKEN
    - CMAKE_CUDA_COMPILER_LAUNCHER
    - CMAKE_CXX_COMPILER_LAUNCHER
    - CMAKE_C_COMPILER_LAUNCHER
    - CMAKE_GENERATOR
    - PARALLEL_LEVEL
    - SCCACHE_BUCKET
    - SCCACHE_IDLE_TIMEOUT
    - SCCACHE_REGION
    - SCCACHE_S3_KEY_PREFIX=kvikio-linux64
    - SCCACHE_S3_NO_CREDENTIALS
    - SCCACHE_S3_USE_SSL
  string: cuda11_py39_230607_gd3b823c_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 h69a702a_13
    - binutils_impl_linux-64 2.39 he00db2b_1
    - binutils_linux-64 2.39 h5fc0e48_13
    - bzip2 1.0.8 h7f98852_4
    - c-ares 1.19.1 hd590300_0
    - ca-certificates 2023.5.7 hbcca054_0
    - cmake 3.26.4 hcfe8598_0
    - expat 2.5.0 hcb278e6_1
    - gcc_impl_linux-64 11.3.0 hab1b70f_19
    - gcc_linux-64 11.3.0 he6f903b_13
    - gxx_impl_linux-64 11.3.0 hab1b70f_19
    - gxx_linux-64 11.3.0 hc203a17_13
    - kernel-headers_linux-64 3.10.0 h4a8ded7_13
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.20.1 h81ceb04_0
    - ld_impl_linux-64 2.39 hcc3a1bd_1
    - libcurl 8.1.2 h409715c_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libexpat 2.5.0 hcb278e6_1
    - libgcc-devel_linux-64 11.3.0 h210ce93_19
    - libgcc-ng 13.1.0 he5830b7_0
    - libgomp 13.1.0 he5830b7_0
    - libnghttp2 1.52.0 h61bc06f_0
    - libsanitizer 11.3.0 h239ccf8_19
    - libssh2 1.11.0 h0841786_0
    - libstdcxx-devel_linux-64 11.3.0 h210ce93_19
    - libstdcxx-ng 13.1.0 hfd8a6a1_0
    - libuv 1.44.2 h166bdaf_0
    - libzlib 1.2.13 h166bdaf_4
    - ncurses 6.4 hcb278e6_0
    - ninja 1.11.1 h924138e_0
    - nvcc_linux-64 11.8 h41dc85b_22
    - openssl 3.1.1 hd590300_1
    - rhash 1.4.3 h166bdaf_0
    - sed 4.8 he412f7d_0
    - sysroot_linux-64 2.17 h4a8ded7_13
    - xz 5.2.6 h166bdaf_0
    - zlib 1.2.13 h166bdaf_4
    - zstd 1.5.2 h3eb15da_6
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h7f98852_4
    - ca-certificates 2023.5.7 hbcca054_0
    - cudatoolkit 11.8.0 h37601d7_11
    - cython 0.29.35 py39h3d6467e_0
    - distro 1.8.0 pyhd8ed1ab_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - libcufile 1.4.0.31 0
    - libcufile-dev 1.4.0.31 0
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 13.1.0 he5830b7_0
    - libgomp 13.1.0 he5830b7_0
    - libkvikio 23.06.00 cuda11_230607_gd3b823c_0
    - libnsl 2.0.0 h7f98852_0
    - libsqlite 3.42.0 h2797004_0
    - libstdcxx-ng 13.1.0 hfd8a6a1_0
    - libuuid 2.38.1 h0b41bf4_0
    - libzlib 1.2.13 h166bdaf_4
    - ncurses 6.4 hcb278e6_0
    - openssl 3.1.1 hd590300_1
    - packaging 23.1 pyhd8ed1ab_0
    - pip 23.1.2 pyhd8ed1ab_0
    - python 3.9.16 h2782a2a_0_cpython
    - python_abi 3.9 3_cp39
    - readline 8.2 h8228510_1
    - scikit-build 0.17.6 pyh4af843d_0
    - setuptools 67.7.2 pyhd8ed1ab_0
    - tk 8.6.12 h27826a3_0
    - tomli 2.0.1 pyhd8ed1ab_0
    - typing-extensions 4.6.3 hd8ed1ab_0
    - typing_extensions 4.6.3 pyha770c72_0
    - tzdata 2023c h71feb2d_0
    - wheel 0.40.0 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
  run:
    - __glibc >=2.17,<3.0.a0
    - cudatoolkit >=11,<12.0a0
    - cupy >=12.0.0
    - libgcc-ng >=12
    - libkvikio >=23.6.0,<23.7.0a0
    - libstdcxx-ng >=12
    - numpy >=1.20
    - python >=3.9,<3.10.0a0
    - python_abi 3.9.* *_cp39
    - zarr
test:
  imports:
    - kvikio
  requires:
    - pytest
about:
  home: https://rapids.ai
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: KvikIO - GPUDirect Storage
extra:
  copy_test_source_files: true
  final: true
